.. AUTO-GENERATED FILE. DO NOT EDIT. layer-farm-pharmaceutical ========================= Source ------ - Repository: ``jef-systems/jef-layer-farm-backend`` - Source Run ID: ``24916440967`` - Source SHA: ``04fc05c78cba84982ce19870a690a0b7b6a02d48`` - Module: ``layer-farm`` - Documentation Scope: ``get`` - Lambda: ``jef-layer-farm-get-3`` Endpoint -------- - API Name: ``jef-layer-farm`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/layer-farm-pharmaceutical`` - Complete Endpoint: ``https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-pharmaceutical`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-layer-farm-get-3`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-layer-farm-get-3 API Name: jef-layer-farm Action: get Method: GET Resource Path: /layer-farm-pharmaceutical Payload: - entity_number: string-4-digits-nonzerostart - id: string Response: - exists: boolean - message: string - source: string when operation reaches DynamoDB - item: object when found/created/updated - key: object when not found or duplicate Request Payload --------------- .. code-block:: json { "entity_number": "string-4-digits-nonzerostart", "id": "string" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "source": "string when operation reaches DynamoDB", "item": "object when found/created/updated", "key": "object when not found or duplicate" } CMD curl -------- .. code-block:: text curl "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-pharmaceutical?entity_number=string-4-digits-nonzerostart&id=string" PowerShell curl --------------- .. code-block:: text curl.exe "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-pharmaceutical?entity_number=string-4-digits-nonzerostart&id=string"